Rudiments

Public Member Functions | List of all members
mvcresult Class Reference

## Public Member Functions
void | setResult (bool success)
void | setResult (bool success, uint32_t code)
void | setResult (bool success, uint32_t code, const char *message)
void | setSuccess ()
void | setSuccess (uint32_t code)
void | setSuccess (uint32_t code, const char *message)
void | setFailed ()
void | setFailed (uint32_t code)
void | setFailed (uint32_t code, const char *message)
void | setSuccess (bool success)
bool | getSuccess ()
void | setCode (uint32_t code)
uint32_t | getCode ()
void | setMessage (const char *message)
const char * | getMessage ()
dom * | getDom ()
domnode * | getDataNode ()